# 텐서플로우 모듈 import
import tensorflow as tf
# tf.constant 함수를 사용하여 상수 오퍼레이션 2개 생성
# `name`은 오퍼레이션은 구분하기 위한 이름
tensor_a = tf.constant(1, name="a")
tensor_b = tf.constant(2, name="b")

# tf.constant 함수를 사용하여 연산 오퍼레이션 생성
tensor_c = tensor_a + tensor_b
# 단순 print함수로 텐서를 실행할 땐 tensor정보 출력
print(tensor_c)

# 실제 연산을 위해서는 세션을 생성한 후, 실행하고자 하는 tensor을 Session의 run함수 매개변수로 넣어야 수행
sess = tf.Session()
print(sess.run(tensor_c))
sess.close()